diff --git a/Makefile b/Makefile
index bb2b7a0..7d399f7 100644
--- a/Makefile
+++ b/Makefile
@@ -36,16 +36,11 @@ INSTALL_DIR	?= install -o root -g root -m 755 -d
 STRIP		?= strip
 
 OPTIMISE=	-O2
-LDFLAGS=	-g
+LDFLAGS ?=	-g
 LIBS=		-ldl -lc
-CFLAGS=		-g $(OPTIMISE) \
+CFLAGS ?=		-g $(OPTIMISE) \
 		-Wall -Wwrite-strings -Wpointer-arith -Wimplicit \
 		-Wnested-externs -Wmissing-prototypes -Wstrict-prototypes
-CPPFLAGS=	-DMAJOR_VER='"$(MAJOR)"' -DMINOR_VER='"$(MINOR)"' \
-		-DLIBAUTHBIND='"$(lib_dir)/$(LIBCANON)"' \
-		-DHELPER='"$(libexec_dir)/$(HELPER)"' -DCONFIGDIR='"$(etc_dir)"' \
-		-D_GNU_SOURCE
-
 MAJOR=1
 MINOR=0
 LIBCANON=	libauthbind.so.$(MAJOR)
@@ -57,6 +52,11 @@ TARGETS=		$(BINTARGETS) $(HELPER) $(LIBTARGET)
 MANPAGES_1=		authbind.1
 MANPAGES_8=		authbind-helper.8
 
+CPPFLAGS := $(CPPFLAGS) -DMAJOR_VER='"$(MAJOR)"' -DMINOR_VER='"$(MINOR)"' \
+		-DLIBAUTHBIND='"$(lib_dir)/$(LIBCANON)"' \
+		-DHELPER='"$(libexec_dir)/$(HELPER)"' -DCONFIGDIR='"$(etc_dir)"' \
+		-D_GNU_SOURCE
+
 all:			$(TARGETS)
 
 install:		$(TARGETS)
diff --git a/debian/rules b/debian/rules
index 4555376..5ec4e5d 100755
--- a/debian/rules
+++ b/debian/rules
@@ -36,6 +36,8 @@ export INSTALL_SCRIPT
 export INSTALL_DIR
 export STRIP
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@
